| pepnet

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Draw a helical net for a protein sequence

## Description

pepnet draws a helical net for an input protein sequence. This is a method of displaying the residues of a protein in a simple 3,4,3,4 repeating pattern that emulates at a simple level the arrangement of residues around an alpha helix. It is therefore easy to see patterns of amphipathicity that you may wish to investigate in more detail by using displays such as pepwheel. You can specify which residues to mark up in squares, diamonds and octagons.

## Usage

Here is a sample session with pepnet

    % pepnet -sask
    Draw a helical net for a protein sequence
    Input protein sequence: tsw:gcn4_yeast
         Begin at position [start]: 253
           End at position [end]: 274
    Graph type [x11]: cps

    Created pepnet.ps

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Draw a helical net for a protein sequence
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-sequence]          sequence   Protein sequence filename and optional
                                      format, or reference (input USA)
       -graph              graph      [$EMBOSS_GRAPHICS value, or x11] Graph type
                                      (ps, hpgl, hp7470, hp7580, meta, cps, x11,
                                      tek, tekt, none, data, xterm, png, gif, pdf,
                                      svg)

       Additional (Optional) qualifiers (* if not always prompted):
    *  -squares            string     [ILVM] By default the aliphatic residues
                                      ILVM are marked with squares. (Any string)
    *  -diamonds           string     [DENQST] By default the residues DENQST are
                                      marked with diamonds. (Any string)
    *  -octags             string     [HKR] By default the positively charged
                                      residues HKR are marked with octagons. (Any
                                      string)

       Advanced (Unprompted) qualifiers:
       -amphipathic        toggle     If this is true then the residues ACFGILMVWY
                                      are marked as squares and all other
                                      residues are unmarked. This overrides any
                                      other markup that you may have specified
                                      using the qualifiers '-squares', '-diamonds'
                                      and '-octags'.

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-graph" associated qualifiers
       -gprompt            boolean    Graph prompting
       -gdesc              string     Graph description
       -gtitle             string     Graph title
       -gsubtitle          string     Graph subtitle
       -gxtitle            string     Graph x axis title
       -gytitle            string     Graph y axis title
       -goutfile           string     Output file for non interactive displays
       -gdirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | sequence | Protein sequence filename and optional format, or reference (input USA) | Readable sequence | Required
-graph | graph | Graph type | EMBOSS has a list of known devices, including ps, hpgl, hp7470, hp7580, meta, cps, x11, tek, tekt, none, data, xterm, png, gif, pdf, svg | EMBOSS_GRAPHICS value, or x11
Additional (Optional) qualifiers
-squares | string | By default the aliphatic residues ILVM are marked with squares. | Any string | ILVM
-diamonds | string | By default the residues DENQST are marked with diamonds. | Any string | DENQST
-octags | string | By default the positively charged residues HKR are marked with octagons. | Any string | HKR
Advanced (Unprompted) qualifiers
-amphipathic | toggle | If this is true then the residues ACFGILMVWY are marked as squares and all other residues are unmarked. This overrides any other markup that you may have specified using the qualifiers '-squares', '-diamonds' and '-octags'. | Toggle value Yes/No | No
Associated qualifiers
"-sequence" associated sequence qualifiers
-sbegin1 -sbegin_sequence | integer | Start of the sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of the sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-graph" associated graph qualifiers
-gprompt | boolean | Graph prompting | Boolean value Yes/No | N
-gdesc | string | Graph description | Any string | Helical net
-gtitle | string | Graph title | Any string |
-gsubtitle | string | Graph subtitle | Any string |
-gxtitle | string | Graph x axis title | Any string |
-gytitle | string | Graph y axis title | Any string |
-goutfile | string | Output file for non interactive displays | Any string |
-gdirectory | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

pepnet reads a single protein sequence.

The input is a standard EMBOSS sequence query (also known as a 'USA').

Major sequence database sources defined as standard in EMBOSS installations include srs:embl, srs:uniprot and ensembl

Data can also be read from sequence output in any supported format written by an EMBOSS or third-party application.

The input format can be specified by using the command-line qualifier `-sformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: gff (gff3), gff2, embl (em), genbank (gb, refseq), ddbj, refseqp, pir (nbrf), swissprot (swiss, sw), dasgff and debug.

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

### Input files for usage example

'tsw:gcn4_yeast' is a sequence entry in the example protein database 'tsw'

### Database entry: tsw:gcn4_yeast

    ID   GCN4_YEAST              Reviewed;         281 AA.
    AC   P03069; D3DLN9; P03068; Q70D88; Q70D91; Q70D96; Q70D99; Q70DA0;
    AC   Q96UT3;
    DT   21-JUL-1986, integrated into UniProtKB/Swiss-Prot.
    DT   21-JUL-1986, sequence version 1.
    DT   13-JUN-2012, entry version 139.
    DE   RecName: Full=General control protein GCN4;
    DE   AltName: Full=Amino acid biosynthesis regulatory protein;
    GN   Name=GCN4; Synonyms=AAS3, ARG9; OrderedLocusNames=YEL009C;
    OS   Saccharomyces cerevisiae (strain ATCC 204508 / S288c) (Baker's yeast).
    OC   Eukaryota; Fungi; Dikarya; Ascomycota; Saccharomycotina;
    OC   Saccharomycetes; Saccharomycetales; Saccharomycetaceae; Saccharomyces.
    OX   NCBI_TaxID=559292;
    RN   [1]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RX   MEDLINE=85038531; PubMed=6387704; DOI=10.1073/pnas.81.20.6442;
    RA   Hinnebusch A.G.;
    RT   "Evidence for translational regulation of the activator of general
    RT   amino acid control in yeast.";
    RL   Proc. Natl. Acad. Sci. U.S.A. 81:6442-6446(1984).
    RN   [2]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RX   MEDLINE=84298088; PubMed=6433345; DOI=10.1073/pnas.81.16.5096;
    RA   Thireos G., Penn M.D., Greer H.;
    RT   "5' untranslated sequences are required for the translational control
    RT   of a yeast regulatory gene.";
    RL   Proc. Natl. Acad. Sci. U.S.A. 81:5096-5100(1984).
    RN   [3]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA], AND VARIANTS PRO-24; SER-62;
    RP   ALA-82; ALA-91; ALA-125 AND GLU-196.
    RC   STRAIN=CLIB 219, CLIB 382, CLIB 388, CLIB 410, CLIB 413, CLIB 556,
    RC   CLIB 630, CLIB 95, K1, R12, R13, Sigma 1278B, YIIc12, and YIIc17;
    RX   PubMed=15087486; DOI=10.1093/nar/gkh529;
    RA   Leh-Louis V., Wirth B., Despons L., Wain-Hobson S., Potier S.,
    RA   Souciet J.-L.;
    RT   "Differential evolution of the Saccharomyces cerevisiae DUP240
    RT   paralogs and implication of recombination in phylogeny.";
    RL   Nucleic Acids Res. 32:2069-2078(2004).
    RN   [4]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE GENOMIC DNA].
    RC   STRAIN=ATCC 204511 / S288c / AB972;
    RX   MEDLINE=97313264; PubMed=9169868;
    RA   Dietrich F.S., Mulligan J.T., Hennessy K.M., Yelton M.A., Allen E.,
    RA   Araujo R., Aviles E., Berno A., Brennan T., Carpenter J., Chen E.,
    RA   Cherry J.M., Chung E., Duncan M., Guzman E., Hartzell G.,
    RA   Hunicke-Smith S., Hyman R.W., Kayser A., Komp C., Lashkari D., Lew H.,
    RA   Lin D., Mosedale D., Nakahara K., Namath A., Norgren R., Oefner P.,
    RA   Oh C., Petel F.X., Roberts D., Sehl P., Schramm S., Shogren T.,
    RA   Smith V., Taylor P., Wei Y., Botstein D., Davis R.W.;
    RT   "The nucleotide sequence of Saccharomyces cerevisiae chromosome V.";

      [Part of this file has been deleted for brevity]

    FT                                /FTId=PRO_0000076490.
    FT   DOMAIN      253    274       Leucine-zipper.
    FT   DNA_BIND    231    249       Basic motif.
    FT   REGION       89    100       Required for transcriptional activation.
    FT   REGION      106    125       Required for transcriptional activation.
    FT   MOD_RES      17     17       Phosphoserine.
    FT   MOD_RES     165    165       Phosphothreonine; by PHO85.
    FT   MOD_RES     218    218       Phosphoserine.
    FT   VARIANT      24     24       S -> P (in strain: CLIB 219).
    FT   VARIANT      62     62       P -> S (in strain: CLIB 630 haplotype
    FT                                Ha2).
    FT   VARIANT      82     82       T -> A (in strain: CLIB 556 haplotype
    FT                                Ha1).
    FT   VARIANT      91     91       D -> A (in strain: CLIB 95, CLIB 219,
    FT                                CLIB 382, CLIB 388, CLIB 410, CLIB 413,
    FT                                CLIB 556, CLIB 630, K1, R12, R13
    FT                                haplotype Ha2, Sigma 1278B haplotype Ha1,
    FT                                YIIc12 and YIIc17).
    FT   VARIANT     125    125       D -> A (in strain: CLIB 556 haplotype
    FT                                Ha1).
    FT   VARIANT     196    196       D -> E (in strain: CLIB 388, CLIB 410,
    FT                                CLIB 413, CLIB 630 haplotype Ha1, K1,
    FT                                YIIc12 haplotype Ha2 and YIIc17 haplotype
    FT                                Ha1).
    FT   MUTAGEN      97     98       FF->AA: Reduces transcriptional
    FT                                activation activity; when associated with
    FT                                A-107; A-110; A-113; A-120; A-123 and A-
    FT                                124.
    FT   MUTAGEN     107    107       M->A: Reduces transcriptional activation
    FT                                activity; when associated with A-97; A-
    FT                                98; A-110; A-113; A-120; A-123 and A-124.
    FT   MUTAGEN     110    110       Y->A: Reduces transcriptional activation
    FT                                activity; when associated with A-97; A-
    FT                                98; A-107; A-113; A-120; A-123 and A-124.
    FT   MUTAGEN     113    113       L->A: Reduces transcriptional activation
    FT                                activity; when associated with A-97; A-
    FT                                98; A-107; A-110; A-120; A-123 and A-124.
    FT   MUTAGEN     120    124       WTSLF->ATSAA: Reduces transcriptional
    FT                                activation activity; when associated with
    FT                                A-97; A-98; A-107; A-110 and A-113.
    FT   CONFLICT    239    281       ARRSRARKLQRMKQLEDKVEELLSKNYHLENEVARLKKLVG
    FT                                ER -> PGVLVRESCKE (in Ref. 2; AAA65521).
    FT   HELIX       230    248
    FT   HELIX       251    280
    SQ   SEQUENCE   281 AA;  31310 MW;  2ED1B8E35D509578 CRC64;
         MSEYQPSLFA LNPMGFSPLD GSKSTNENVS ASTSTAKPMV GQLIFDKFIK TEEDPIIKQD
         TPSNLDFDFA LPQTATAPDA KTVLPIPELD DAVVESFFSS STDSTPMFEY ENLEDNSKEW
         TSLFDNDIPV TTDDVSLADK AIESTEEVSL VPSNLEVSTT SFLPTPVLED AKLTQTRKVK
         KPNSVVKKSH HVGKDDESRL DHLGVVAYNR KQRSIPLSPI VPESSDPAAL KRARNTEAAR
         RSRARKLQRM KQLEDKVEEL LSKNYHLENE VARLKKLVGE R
    //

## Output file format

The output is to the specified graphics device.

The results can be output in one of several formats by using the command-line qualifier -graph xxx, where 'xxx' is replaced by the name of the required device. Support depends on the availability of third-party software packages.

The device names that output to a file are: ps (postscript), cps (colourps), png, gif, pdf, svg, hpgl, hp7470, hp7580, das, data.

The other available device names are: meta, x11 (xwindows), tek (tek4107t), tekt (tektronix), xterm, text.

Output can be turned off by specifying none (null).

See: http://emboss.sf.net/docs/themes/GraphicsDevices.html for further information on supported devices.

### Output files for usage example

### Graphics File: pepnet.ps

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It exits with a status of 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
abiview | Display the trace in an ABI sequencer file
cirdna | Draw circular map of DNA constructs
garnier | Predict protein secondary structure using GOR method
helixturnhelix | Identify nucleic acid-binding motifs in protein sequences
iep | Calculate the isoelectric point of proteins
lindna | Draw linear maps of DNA constructs
pepcoil | Predict coiled coil regions in protein sequences
pepinfo | Plot amino acid properties of a protein sequence in parallel
pepwheel | Draw a helical wheel diagram for a protein sequence
plotorf | Plot potential open reading frames in a nucleotide sequence
prettyplot | Draw a sequence alignment with pretty formatting
prettyseq | Write a nucleotide sequence and its translation to file
remap | Display restriction enzyme binding sites in a nucleotide sequence
showfeat | Display features of a sequence in pretty format
showpep | Display protein sequences with features in pretty format
sixpack | Display a DNA sequence with 6-frame translation and ORFs

## Author(s)

Alan Bleasby
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Written (2000) - Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None